package com.xkrs.model.qo;

import com.xkrs.model.validation.AuditFireTypeQoUpdate;

import javax.validation.constraints.NotNull;

public class AuditFireTypeQo {

    @NotNull(message = "{FirePoint.fireCode.blank}", groups = {AuditFireTypeQoUpdate.class})
    private String fireCode;

    @NotNull(message = "{FirePoint.auditFireType.blank}", groups = {AuditFireTypeQoUpdate.class})
    private String auditFireType;

    public AuditFireTypeQo() {
    }

    public String getFireCode() {
        return fireCode;
    }

    public void setFireCode(String fireCode) {
        this.fireCode = fireCode;
    }

    public String getAuditFireType() {
        return auditFireType;
    }

    public void setAuditFireType(String auditFireType) {
        this.auditFireType = auditFireType;
    }

    @Override
    public String toString() {
        return "AuditFireTypeQo{" + "fireCode='" + fireCode + '\'' + ", auditFireType='" + auditFireType + '\'' + '}';
    }
}
